
;***************************************************************************
.include "m16def.inc"

.equ 		A=	$70				;  A  SRAM.
.equ 		B=	$71				;  B  SRAM.
.equ 		C=	$72				;  C  SRAM.
.def		rA=	r16				;   A.	
.def		rB=	r17				;   B.
.def		rC=	r18				;   C.	

;_____________________________________________________________________________

.org 0		; 
			rjmp     reset
;_____________________________________________________________________________

reset:		;  .
			ldi  	RA,low(ramend)
			out  	spl,rA
			ldi  	RA,high(ramend)
			out  	sph,rA

			; .
			ldi  	rA,$ff			; ר												        								        
        	out  	ddra,rA			;PortA  .

			sbi		porta,0			; PortA.0

			ldi  	rA,$01			
			sts 	A,rA			; A=1;
			ldi  	rA,$02
			sts 	B,rA			; B=2;

			rcall	SubRoutine		;  .

			sbic	pina,0			;  ,  PortA.0 . 
			cbi		porta,0			; PortA.0 -  ר	


SubRoutine:	lds 	rA,A			;  A   rA.
			lds 	rB,B			;  B   rB.
			add		rA,rB			;  rB+rA,   rA.
			sts		C,rA			;       SRAM.	
			ret						;  .
